package net.roseindia.controller;

import java.util.ArrayList;
import java.util.List;
import java.util.Map;

import javax.validation.Valid;

import net.roseindia.model.Country;
import net.roseindia.model.MyForm;

import org.springframework.stereotype.Controller;
import org.springframework.web.bind.annotation.RequestMapping;

@Controller
public class MyFormController {

	@RequestMapping("/myForm.html")
	public String loadForm(Map model, @Valid MyForm myForm) {
		List<Country> countryList = new ArrayList<Country>();
		countryList = loadCountry();
		model.put("countryList", countryList);
		return "myForm";
	}

	public List loadCountry() {
		List<Country> countryList = new ArrayList<Country>();
		countryList.add(new Country(1, "India", "Description Of India"));

		countryList.add(new Country(2, "China", "Description Of China"));

		countryList.add(new Country(3, "England", "Description Of England"));

		countryList.add(new Country(4, "Srilanka", "Description Of Srilanka"));

		countryList.add(new Country(5, "Kenya", "Description Of Kenya"));

		return countryList;
	}
}